/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 */
package blanco.xliff2tmx.message;

/**
 * blancoXliff2Tmxが内部的に利用するメッセージクラスです。
 */
public class BlancoXliff2TmxMessage {
    /**
     * メッセージをプロパティファイル対応させるための内部的に利用するリソースバンドルクラス。
     */
    protected final BlancoXliff2TmxMessageResourceBundle fBundle = new BlancoXliff2TmxMessageResourceBundle();

    /**
     * メッセージ定義ID[BlancoXliff2Tmx]、キー[MBXL2T01]の文字列を取得します。
     *
     * No.2:
     * 文字列[指定された sourcedir[{0}]は存在しません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbxl2t01(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbxl2t01]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBXL2T01] " + fBundle.getMbxl2t01(arg0);
    }

    /**
     * メッセージ定義ID[BlancoXliff2Tmx]、キー[MBXL2T02]の文字列を取得します。
     *
     * No.3:
     * 文字列[指定された sourcedir[{0}]はディレクトリではありません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbxl2t02(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbxl2t02]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBXL2T02] " + fBundle.getMbxl2t02(arg0);
    }

    /**
     * メッセージ定義ID[BlancoXliff2Tmx]、キー[MBXL2T03]の文字列を取得します。
     *
     * No.4:
     * 文字列[targetdir と targetfile のいずれか一方を指定する必要があります。]
     *
     * @return メッセージ文字列。
     */
    public String getMbxl2t03() {
        return "[MBXL2T03] " + fBundle.getMbxl2t03();
    }

    /**
     * メッセージ定義ID[BlancoXliff2Tmx]、キー[MBXL2T04]の文字列を取得します。
     *
     * No.5:
     * 文字列[targetdir と targetfile とを同時に指定することはできません。いずれか一方だけを指定してください。]
     *
     * @return メッセージ文字列。
     */
    public String getMbxl2t04() {
        return "[MBXL2T04] " + fBundle.getMbxl2t04();
    }

    /**
     * メッセージ定義ID[BlancoXliff2Tmx]、キー[MBXL2T05]の文字列を取得します。
     *
     * No.6:
     * 文字列[指定された targetdir[{0}]が存在しなかったので作成を試みましたが失敗しました。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbxl2t05(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbxl2t05]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBXL2T05] " + fBundle.getMbxl2t05(arg0);
    }

    /**
     * メッセージ定義ID[BlancoXliff2Tmx]、キー[MBXL2T06]の文字列を取得します。
     *
     * No.7:
     * 文字列[指定された targetdir[{0}]はディレクトリではありません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbxl2t06(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbxl2t06]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBXL2T06] " + fBundle.getMbxl2t06(arg0);
    }

    /**
     * メッセージ定義ID[BlancoXliff2Tmx]、キー[MBXL2T07]の文字列を取得します。
     *
     * No.8:
     * 文字列[sourcedir[{0}] と targetdir[{1}] とは同じディレクトリです。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMbxl2t07(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbxl2t07]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbxl2t07]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBXL2T07] " + fBundle.getMbxl2t07(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoXliff2Tmx]、キー[MBXL2T08]の文字列を取得します。
     *
     * No.9:
     * 文字列[指定された targetfile[{0}]に書き込みできません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbxl2t08(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbxl2t08]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBXL2T08] " + fBundle.getMbxl2t08(arg0);
    }

    /**
     * メッセージ定義ID[BlancoXliff2Tmx]、キー[MBXL2T09]の文字列を取得します。
     *
     * No.10:
     * 文字列[指定された targetfile[{0}]が格納されるディレクトリが存在しなかったので作成を試みましたが失敗しました。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbxl2t09(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbxl2t09]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBXL2T09] " + fBundle.getMbxl2t09(arg0);
    }
}
